CHCPU(8)

BEZEICHNUNG
chcpu - CPUs konfigurieren

ÜBERSICHT

chcpu -c|-d|-e|-g CPU-Liste

chcpu -p Modus

chcpu -r|-h|-V

BESCHREIBUNG

chcpu kann den Status von CPUs ändern. Es kann CPUs aktivieren oder deaktivieren, nach neuen CPUs suchen, den Dispatching-Modus des zugrunde liegenden Hypervisors ändern und CPUs vom Hypervisor anfordern (konfigurieren) oder an den Hypervisor zurückgeben (dekonfigurieren).

Einige Optionen haben ein CPU-Liste-Argument. Verwenden Sie dieses Argument, um eine durch Kommata getrennte Liste von CPUs anzugeben. Die Liste kann individuelle CPU-Adressen oder auch Adressbereiche enthalten. Beispielsweise bezieht sich der Befehl 0,5,7,9-11 auf die CPUs mit den Adressen 0, 5, 7, 9, 10 und 11.

OPTIONEN

-c, --configure CPU-Liste
    konfiguriert die angegebenen CPUs. Konfigurieren bedeutet, dass der Hypervisor eine CPU aus dem CPU-Pool nimmt und sie der virtuellen Hardware zuweist, auf welcher der Kernel läüft.

-d, --disable CPU-Liste
    deaktiviert die angegebenen CPUs. Deaktivieren bedeutet, dass der Kernel die CPU offline setzt.

-e, --enable CPU-Liste
    aktiviert die angegebenen CPUs. Aktivieren bedeutet, dass der Kernel die CPU online setzt. Eine CPU muss konfiguriert sein, siehe -c, bevor sie aktiviert werden kann.

-g, --deconfigure CPU-Liste
    dekonfiguriert die angegebenen CPUs. Dekonfigurieren bedeutet, dass der Hypervisor die CPU aus der virtuellen Hardware entfernt, auf der die Linux-Instanz läuft, und sie in den Hardware-Pool zurückführt. Eine CPU muss offline sein, siehe -d, bevor sie dekonfiguriert werden kann.

-p, --dispatch Modus
    setzt den Dispatching-Modus der CPU (Polarisierung). Diese Option zeigt nur Wirkung, wenn Ihre Hardwarearchitektur und der Hypervisor CPU-Polarisierung unterstützt. Verfügbare Modi sind:

    horizontal
        Die Last wird über alle CPUs verteilt.

    vertical
        Die Last wird auf wenige CPUs konzentriert.

-r, --rescan
    liest die CPUs neu ein. Nach dem erneuten Einlesen erkennt der Linux-Kernel die neuen CPUs. Verwenden Sie diese Option auf Systemen, die neu hinzugekommene CPUs nicht automatisch erkennen.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt die Versionsnummer an und beendet das Programm.

EXIT-STATUS

chcpu hat die folgenden Exit-Status-Werte:

0
    Erfolg

1
    Fehlschlag

64
    Teilerfolg

AUTOREN

COPYRIGHT

Copyright IBM Corp. 2011

SIEHE AUCH

lscpu(1)

FEHLER MELDEN

Verwenden Sie zum Melden von Fehlern das Fehlererfassungssystem auf

VERFÜGBARKEIT

Der Befehl chcpu ist Teil des Pakets util-linux, welches heruntergeladen werden kann von:

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).